<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
-->

<!DOCTYPE ServicesConfiguration
    PUBLIC "=//iPlanet//Service Management Services (SMS) 1.0 DTD//EN"
    "file:%IDSAME_BASEDIR%/SUNWam/dtd/sms.dtd">


<ServicesConfiguration>
    <Service name="srapNetletService" version="1.0">
        <Schema serviceHierarchy="/srap.configuration/srapNetletService"
            propertiesViewBeanURL="%DYNAMIC_URI%/netletadmin/NetletAdminService"
            i18nFileName="srapNetlet" i18nKey="sunPortalNetletServiceDescription">

            <Global>
                <AttributeSchema name="serviceObjectClasses"
                    type="list" syntax="string" i18nKey="">
                    <DefaultValues>
                        <Value>sunPortalNetletService</Value>
                    </DefaultValues>
                </AttributeSchema>
            </Global>

            <Dynamic>

                <AttributeSchema name="sunPortalNetletRules"
                    type="list"
                    syntax="string"
                    cosQualifier="default"
                    any="adminDisplay|userReadOnly"
                    i18nKey="d01">
                    <DefaultValues>
                        <Value>Telnet^ALGO^KSSL_SSL3_RSA_WITH_3DES_EDE_CBC_SHA+SSL_RSA_WITH_DES_CBC_SHA|telnet://localhost:30000|false|30000|TARGET|23|EXTEND</Value>
                        <Value>FTP^ALGO^KSSL_SSL3_RSA_WITH_3DES_EDE_CBC_SHA+SSL_RSA_WITH_DES_CBC_SHA|null|false|30021|TARGET|21|EXTEND</Value>
                        <Value>IMAP^ALGO^KSSL_SSL3_RSA_WITH_3DES_EDE_CBC_SHA+SSL_RSA_WITH_DES_CBC_SHA|null|false|10025|TARGET|25|10143|TARGET|143|EXTEND</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletKSSLDefaultCipher"
                    type="single_choice"
                    syntax="string"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="d02">
                    <ChoiceValues>
                        <ChoiceValue>KSSL_SSL3_RSA_WITH_3DES_EDE_CBC_SHA</ChoiceValue>
                        <ChoiceValue>KSSL_SSL3_RSA_WITH_RC4_128_MD5</ChoiceValue>
                        <ChoiceValue>KSSL_SSL3_RSA_WITH_RC4_128_SHA</ChoiceValue>
                        <ChoiceValue>KSSL_SSL3_RSA_EXPORT_WITH_RC4_40_MD5</ChoiceValue>
                        <ChoiceValue>KSSL_SSL3_RSA_WITH_DES_CBC_SHA</ChoiceValue>
                    </ChoiceValues>
                    <DefaultValues>
                        <Value>KSSL_SSL3_RSA_WITH_RC4_128_MD5</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletJSSEDefaultCipher"
                    type="single_choice"
                    syntax="string"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="d03">
                    <ChoiceValues>
                        <ChoiceValue>SSL_RSA_WITH_3DES_EDE_CBC_SHA</ChoiceValue>
                        <ChoiceValue>SSL_RSA_WITH_RC4_128_MD5</ChoiceValue>
                        <ChoiceValue>SSL_RSA_WITH_RC4_128_SHA</ChoiceValue>
                        <ChoiceValue>SSL_RSA_EXPORT_WITH_RC4_40_MD5</ChoiceValue>
                        <ChoiceValue>SSL_RSA_WITH_DES_CBC_SHA</ChoiceValue>
                        <ChoiceValue>SSL_RSA_WITH_NULL_MD5</ChoiceValue>
                    </ChoiceValues>
                    <DefaultValues>
                        <Value>SSL_RSA_WITH_RC4_128_MD5</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletClientLoopbackPort"
                    type="single"
                    syntax="number"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="d04">
                    <DefaultValues>
                        <Value>58000</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletDoReauth"
                    type="single"
                    syntax="boolean"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="d05">
                    <DefaultValues>
                        <Value>false</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletPortWarn"
                    type="single"
                    syntax="boolean"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="d06">
                    <DefaultValues>
                        <Value>true</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletPortWarnCheckbox"
                    type="single"
                    syntax="boolean"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="d07">
                    <DefaultValues>
                        <Value>true</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletKeepAliveInterval"
                    type="single"
                    syntax="number"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="d08">
                    <DefaultValues>
                        <Value>0</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletTerminateAtLogout"
                    type="single"
                    syntax="boolean"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="d09">
                    <DefaultValues>
                        <Value>true</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletAccessRules"
                    type="list"
                    syntax="string"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="d10">
                    <DefaultValues>
                        <Value>*</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletDenyRules"
                    type="list"
                    syntax="string"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="d11">
                    <DefaultValues>
                        <Value></Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletAccessHosts"
                    type="list"
                    syntax="string"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="d12">
                    <DefaultValues>
                        <Value>*</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletDenyHosts"
                    type="list"
                    syntax="string"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="d13">
                    <DefaultValues>
                        <Value></Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletClientBindIP"
                    type="single"
                    syntax="string"
                    cosQualifier="default"
                    any="display"
                    i18nKey="">	
                    <DefaultValues>
                        <Value>127.0.0.1</Value>
                    </DefaultValues>
                </AttributeSchema>

            </Dynamic>

            <Policy>
                <AttributeSchema name="sunPortalNetletExecute"
                    type="single"
                    syntax="boolean"
                    any="display"
                    cosQualifier="default"
                    i18nKey="p01">
                    <DefaultValues>
                        <Value>true</Value>
                    </DefaultValues>
                </AttributeSchema>
            </Policy>

            <User>
                <AttributeSchema name="sunPortalNetletRules"
                    type="list"
                    syntax="string"
                    any="adminDisplay|userReadOnly"
                    i18nKey="d01">
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletKSSLDefaultCipher"
                    type="single_choice"
                    syntax="string"
                    any="adminDisplay|userReadOnly"
                    i18nKey="d02">
                    <ChoiceValues>
                        <ChoiceValue>KSSL_SSL3_RSA_WITH_3DES_EDE_CBC_SHA</ChoiceValue>
                        <ChoiceValue>KSSL_SSL3_RSA_WITH_RC4_128_MD5</ChoiceValue>
                        <ChoiceValue>KSSL_SSL3_RSA_WITH_RC4_128_SHA</ChoiceValue>
                        <ChoiceValue>KSSL_SSL3_RSA_EXPORT_WITH_RC4_40_MD5</ChoiceValue>
                        <ChoiceValue>KSSL_SSL3_RSA_WITH_DES_CBC_SHA</ChoiceValue>
                    </ChoiceValues>
                    <DefaultValues>
                        <Value>KSSL_SSL3_RSA_WITH_RC4_128_MD5</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletJSSEDefaultCipher"
                    type="single_choice"
                    syntax="string"
                    any="adminDisplay|userReadOnly"
                    i18nKey="d03">
                    <ChoiceValues>
                        <ChoiceValue>SSL_RSA_WITH_3DES_EDE_CBC_SHA</ChoiceValue>
                        <ChoiceValue>SSL_RSA_WITH_RC4_128_MD5</ChoiceValue>
                        <ChoiceValue>SSL_RSA_WITH_RC4_128_SHA</ChoiceValue>
                        <ChoiceValue>SSL_RSA_EXPORT_WITH_RC4_40_MD5</ChoiceValue>
                        <ChoiceValue>SSL_RSA_WITH_DES_CBC_SHA</ChoiceValue>
                        <ChoiceValue>SSL_RSA_WITH_NULL_MD5</ChoiceValue>
                    </ChoiceValues>
                    <DefaultValues>
                        <Value>SSL_RSA_WITH_RC4_128_MD5</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletClientLoopbackPort"
                    type="single"
                    syntax="number"
                    any="adminDisplay|userReadOnly"
                    i18nKey="d04">	
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletDoReauth"
                    type="single"
                    syntax="boolean"
                    any="adminDisplay|userReadOnly"
                    i18nKey="d05">
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletPortWarn"
                    type="single"
                    syntax="boolean"
                    any="adminDisplay|userReadOnly"
                    i18nKey="d06">
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletPortWarnCheckbox"
                    type="single"
                    syntax="boolean"
                    any="adminDisplay|userReadOnly"
                    i18nKey="d07">
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletKeepAliveInterval"
                    type="single"
                    syntax="number"
                    any="adminDisplay|userReadOnly"
                    i18nKey="d08">	
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletAccessRules"
                    type="list"
                    syntax="string"
                    any="adminDisplay|userReadOnly"
                    i18nKey="d10">
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletTerminateAtLogout"
                    type="single"
                    syntax="boolean"
                    any="adminDisplay|userReadOnly"
                    i18nKey="d09">
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletDenyRules"
                    type="list"
                    syntax="string"
                    any="adminDisplay|userReadOnly"
                    i18nKey="d11">
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletAccessHosts"
                    type="list"
                    syntax="string"
                    any="adminDisplay|userReadOnly"
                    i18nKey="d12">	
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletDenyHosts"
                    type="list"
                    syntax="string"
                    any="adminDisplay|userReadOnly"
                    i18nKey="d13">	
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletUserCipher"
                    type="list"
                    syntax="string"
                    cosQualifier="default"
                    i18nKey="">	
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletPassword"
                    type="single"
                    syntax="string"
                    any="adminDisplay"
                    cosQualifier="default"
                    i18nKey="u05">
                    <DefaultValues>
                        <Value>srap-netlet</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletProxyType"
                    type="single_choice"
                    syntax="string"
                    any="display"
                    i18nKey="u01"
                    cosQualifier="default">
                    <ChoiceValues>
                        <ChoiceValue>DIRECT</ChoiceValue>
                        <ChoiceValue>MANUAL</ChoiceValue>
                    </ChoiceValues>
                    <DefaultValues>
                        <Value>DIRECT</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletProxyHost"
                    type="single"
                    syntax="string"
                    any="display"
                    i18nKey="u02"
                    cosQualifier="default">
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletProxyPort"
                    type="single"
                    syntax="string"
                    any="display"
                    i18nKey="u03"
                    cosQualifier="default">
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletProxyOverride"
                    type="single"
                    syntax="string"
                    any="display"
                    i18nKey="u04"
                    cosQualifier="default">
                </AttributeSchema>

                <AttributeSchema name="sunPortalNetletClientBindIP"
                    type="single"
                    syntax="string"
                    cosQualifier="default"
                    any="display"
                    i18nKey="">	
                </AttributeSchema>
            </User>
        </Schema>
    </Service>
</ServicesConfiguration>

